POST api/NTPatientScheduling/MarkAsArrivedTelemedicine

Request Information

URI Parameters

None.

Body Parameters

EncounterRoomTelemedicineDTO
NameDescriptionTypeAdditional information
Id

integer

None.

EntityId

integer

None.

EntityTypeId

integer

None.

StartDateTime

date

None.

EndDateTime

date

None.

RoomName

string

String length: inclusive between 0 and 200

StringEndDate

string

String length: inclusive between 0 and 50

StringStartDate

string

String length: inclusive between 0 and 50

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "EntityId": 2,
  "EntityTypeId": 3,
  "StartDateTime": "2026-06-20T12:56:42.9101006-07:00",
  "EndDateTime": "2026-06-20T12:56:42.9101006-07:00",
  "RoomName": "sample string 4",
  "StringEndDate": "sample string 5",
  "StringStartDate": "sample string 6",
  "ValidFlag": true,
  "DateCreated": "2026-06-20T12:56:42.9101006-07:00",
  "DateUpdated": "2026-06-20T12:56:42.9101006-07:00",
  "UserIDCreated": 10,
  "UserIDUpdated": 11,
  "CompanyCode": "sample string 12",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfEncounterRoomTelemedicineDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

EncounterRoomTelemedicineDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "EntityId": 2,
    "EntityTypeId": 3,
    "StartDateTime": "2026-06-20T12:56:42.9256955-07:00",
    "EndDateTime": "2026-06-20T12:56:42.9256955-07:00",
    "RoomName": "sample string 4",
    "StringEndDate": "sample string 5",
    "StringStartDate": "sample string 6",
    "ValidFlag": true,
    "DateCreated": "2026-06-20T12:56:42.9256955-07:00",
    "DateUpdated": "2026-06-20T12:56:42.9256955-07:00",
    "UserIDCreated": 10,
    "UserIDUpdated": 11,
    "CompanyCode": "sample string 12",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}